<?php

namespace Modules\Lpj\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
// use Modules\Lpj\Database\Factories\PenawaranDetailTenderFactory;

class PenawaranDetailTenderLog extends Base
{
    use HasFactory;

    /**
     * The attributes that are mass assignable.
     */
    protected $table = 'detail_penawaran_logs';

    protected $guarded = ['id'];

    public function penawaran(): BelongsTo
    {
        return $this->belongsTo(PenawaranTender::class, 'penawaran_id', 'id');
    }

    public function penawarandetail(): BelongsTo
    {
        return $this->belongsTo(PenawaranDetailTender::class, 'detail_penawaran_id', 'id');
    }
}
